Subject: Supplier for sodium hydrosulfite--east coast?

From: Michael Hughes - Vienna <[email-masked]>
Date: Sat, 6 Jul 1996 17:12:16 -0400

Am searching for a supplier for sodium hydrosulfite (solution)
to use in a preservative solution for small specimens.  Found
a west coast supplier, but they wouldn't sell in less than 16 oz.
quantities.  Need roughly a few CCs.  Please e-mail if you know
of a supplier.  Thanks.

----------------------------------------------------------------------
  Michael F. Hughes, Jr.                                  SSDS, Inc.
  [email-masked]                                    8150 Leesburg Pike
  (703) 827-0806 Voice                                    Suite 1100
  (703) 827-0716 Facsimile                    Vienna, VA  22182-2714
   PGP Key Print:  3A 4D 71 20 70 24 7E 6F  3C A7 14 32 11 52 24 E4